Subject: [Idr] RrgDir review: draft-ietf-idr-add-paths-implementation-00.txt

From: Mach Chen <[email-masked]>
Date: Thu, 7 May 2015 07:52:33 +0000

Hello, 

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir 

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-idr-add-paths-implementation-00.txt 
Reviewer: Mach Chen 
Review Date: 2015/05/07 
IETF LC End Date: Not known
Intended Status: Informational

Summary:
 This document is basically ready for publication, but has nits that should be considered prior to publication.

Comments: 
 The document is well written and easy to read.
 
Major Issues: 
 No major issues found.

Minor Issues: 
 No minor issues found.

Nits:

Running idnits tool, found the following nits:
== Missing Reference: 'RFC4724' is mentioned on line 592, but not defined

Abstract and Introduction

s/The survey had 22 questions.../The survey had 20 questions...
s/The ADD-PATH implementation survey had 22 detailed questions.../ The ADD-PATH implementation survey had 20 detailed questions

Section 3.1

"..they don't implement any advertisement of routes."

I guess you want to say they don't implement any advertisement of ADD-PATH routes.

Best regards,
Mach